-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


- -------- Original Message --------
Subject: [Bug 343079] [NEW] Broken distribution (2009-03-15)
Date: Sun, 15 Mar 2009 07:42:00 -0000
From: dmaurer <die...@handshake.de>
Reply-To: Bug 343079 <343...@bugs.launchpad.net>
To: tsea...@palladion.com
References: <20090315074200.12457.19313.malone...@potassium.ubuntu.com>

Public bug reported:

The current (2009-03-12) PyPI distribution for Zope2 2.12.0a1 is broken.
'easy_install'ing it leads to version conflicts for 'zope.component'
(3.5.1 versus 3.6.0) in the call of 'mkzopeinstance'.

** Affects: zope2
     Importance: Undecided
         Status: New


The breakage is due to the release of the new zope.prinipalregistry egg.
We should probably manage a Zope2 indes and tell people to use it when
running easy_install, because PyPI is not suitable for the task given
setuptools' "incremental requirements discovery" design.



Tres.
- --
===================================================================
Tres Seaver          +1 540-429-0999          tsea...@palladion.com
Palladion Software   "Excellence by Design"    http://palladion.com
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFJvT4A+gerLs4ltQ4RAo0LAJ4q83+Ua0hEQUb5ecOhU8IufTcXnQCfV9wd
6eFVN+pmQTi0CW+ki8f+f8M=
=zsxY
-----END PGP SIGNATURE-----
_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
http://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope )

Reply via email to